Bug 162031 - Emulex driver doesn't show disks with LP7000
Emulex driver doesn't show disks with LP7000
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-29 07:01 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 12:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-06-29 07:01:10 EDT
Description of problem:
Errors on boot when using the lpfc driver on RHEL4

Version-Release number of selected component (if applicable):
2.6.9-11.EL

How reproducible:
Every time

Steps to Reproduce:
1. Boot a machine with an LP7000
2. Watch the error messages
Emulex LightPulse Fibre Channel SCSI driver 8.0.16.6_x2
ACPI: PCI interrupt 0000:03:01.0[A] -> GSI 48 (level, low) -> IRQ 52
lpfc 0000:03:01.0: 0:0321 Unknown IOCB command Data: x0 x3 x0 x0
lpfc 0000:03:01.0: 0:0321 Unknown IOCB command Data: x0 x3 x0 x0
lpfc 0000:03:01.0: 0:0321 Unknown IOCB command Data: x0 x3 x0 x0
lpfc 0000:03:01.0: 0:0321 Unknown IOCB command Data: x0 x3 x0 x0
<snip>
lpfc 0000:03:01.0: 0:0321 Unknown IOCB command Data: x0 x3 x0 x0
lpfc 0000:03:01.0: 0:1303 Link Up Event x1 received Data: x1 x1 x0 x2
lpfc 0000:03:01.0: 0:0222 Initial FLOGI timeout
lpfc 0000:03:01.0: 0:0127 ELS timeout Data: x4 xfffffe x8a x21
scsi2 : Emulex LightPulse LP7000E 1 Gigabit PCI Fibre Channel Adapter on PCI bus
03 device 08 irq 52

I'll get getting information about the FC hub used shortly.
The same configuration works fine under RHEL3 U5, using the builtin 7.1.14
driver instead of the 8.0.16.6_x2 one.
Comment 1 Tom Coughlan 2005-06-29 12:10:54 EDT
Please check to see if you have the latest Emulex firmware. 
Comment 2 Tom Coughlan 2005-09-19 14:57:06 EDT
Does the problem still occur with RHEL 4 U2 (where there is a driver update)? 

Also, still waiting for confirmation that they have the latest firmware.  
Comment 3 James Smart 2005-09-21 18:16:39 EDT
This fits the description of out of date firmware on the card.

We have one other fix that applied to this error. However, the error did not
replicate on the 8.0.16.17 driver in testing.  Please attempt to update the
firmware to the latest and rerun. If that is still failing, contact me.

-- james
Comment 6 Tom Coughlan 2006-04-05 12:53:07 EDT
This has been NEEDINFO for over six months. Closing. Please test with U3, and
the latest Emulex firmware. 

Note You need to log in before you can comment on or make changes to this bug.